Better warning message for cron when site is closed

Bug #1474136 reported by Robert Lyon on 2015-07-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Robert Lyon
1.10
Low
Unassigned
1.9
Low
Unassigned
15.04
Low
Unassigned
15.10
Undecided
Unassigned

Bug Description

When you close a site for upgrade and do the upgrade you sometimes notice on the admin page that the cron is not running correctly message. So you try and run the cron but nothing happens. This is due to the site still being closed.

So the message about the cron at this point is slightly confusing.

I've added a patch to give a slightly more helpful message about how the cron is not working due to the site being closed.

Reviewed: https://reviews.mahara.org/4954
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/a0a8dd0fc771de15c900dff31ef2ff40786a4d41
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit a0a8dd0fc771de15c900dff31ef2ff40786a4d41
Author: Robert Lyon <email address hidden>
Date: Tue Jul 14 09:24:41 2015 +1200

Bug 1474136: Altering the admin message about cron when site closed

Change-Id: I24d34159e337d7ece6d003b1c42cda01a0fe4e80
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-07-27
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/5011

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/5012

Reviewed: https://reviews.mahara.org/5012
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/c160ff3ad1db71eb120efcf91c23d4e27cb0c363
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit c160ff3ad1db71eb120efcf91c23d4e27cb0c363
Author: Robert Lyon <email address hidden>
Date: Tue Jul 14 09:24:41 2015 +1200

Bug 1474136: Altering the admin message about cron when site closed

Change-Id: I24d34159e337d7ece6d003b1c42cda01a0fe4e80
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5011
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/deb25b64179160bb377af47b710abb78f046e46e
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit deb25b64179160bb377af47b710abb78f046e46e
Author: Robert Lyon <email address hidden>
Date: Tue Jul 14 09:24:41 2015 +1200

Bug 1474136: Altering the admin message about cron when site closed

Change-Id: I24d34159e337d7ece6d003b1c42cda01a0fe4e80
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5010
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/7f5349a957ef81bd18f67e0ab7b8e602e8f5c891
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 7f5349a957ef81bd18f67e0ab7b8e602e8f5c891
Author: Robert Lyon <email address hidden>
Date: Tue Jul 14 09:24:41 2015 +1200

Bug 1474136: Altering the admin message about cron when site closed

Change-Id: I24d34159e337d7ece6d003b1c42cda01a0fe4e80
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2016-11-06
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers